Bug 22764 - More YUI grid cleanup
Summary: More YUI grid cleanup
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2019-04-24 13:19 UTC by Owen Leonard
Modified: 2019-04-26 15:31 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22764: More YUI grid cleanup (8.19 KB, patch)
2019-04-24 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22764: More YUI grid cleanup (8.26 KB, patch)
2019-04-24 22:57 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22764: More YUI grid cleanup (8.32 KB, patch)
2019-04-25 05:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22764: Change marcfield to MARC field in alert message (1.24 KB, patch)
2019-04-25 05:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-24 13:19:47 UTC
This patch will address a few more areas in the template where YUI grid markup needs to be updated for Bootstrap:

 - moredetail.tt
 - detail.tt
 - additional-fields.tt
Comment 1 Owen Leonard 2019-04-24 13:32:10 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2019-04-24 22:57:12 UTC Comment hidden (obsolete)
Comment 3 Lucas Gass 2019-04-24 22:59:15 UTC
All these pages look good, at all screen sizes. The details.tt seems clean with or without Amazon cover images and at all screen sizes.
Comment 4 Katrin Fischer 2019-04-25 05:53:07 UTC
(In reply to Lucas Gass from comment #3)
> All these pages look good, at all screen sizes. The details.tt seems clean
> with or without Amazon cover images and at all screen sizes.

Thx for your testing notes!
Comment 5 Katrin Fischer 2019-04-25 05:58:49 UTC
Created attachment 88677 [details] [review]
Bug 22764: More YUI grid cleanup

This patch cleans up a few places where templates still contain YUI grid
markup. Some other minor markup problems are also fixed.

 - additional-fields.tt:
   - Converts YUI grid to Bootstrap
   - Replaces obsolete <tt> tag with styled <span>
   - Adds _() function to string in embedded JavaScript

 - detail.tt:
   - Fixes some stray YUI grid classes
   - Fixes corresponding JavaScript to enable page adjustments

 - moredetail.tt:
   - Removes unnecessary YUI grid markup

To test, apply the patch and view the affected pages, confirming that
everything looks correct and that the page adjusts well to various
browser widthds.

When testing the bibliographic detail page, enable AmazonCoverImages and
view a record with and without an Amazon cover image. The layout should
work in both cases.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-04-25 05:58:52 UTC
Created attachment 88678 [details] [review]
Bug 22764: Change marcfield to MARC field in alert message
Comment 7 Katrin Fischer 2019-04-25 05:59:14 UTC
Also includes a translation and a few capitalization fixes ;)
Comment 8 Nick Clemens 2019-04-25 12:03:14 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-26 15:31:33 UTC
Enhancement will not be backported to 18.11.x series.